Atualizar agendamento
curl --request PATCH \
--url https://api.cordialy.ai/integrations/v1/appointments/{appointmentId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"title": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"duration_minutes": 123,
"notes": "<string>",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.cordialy.ai/integrations/v1/appointments/{appointmentId}"
payload = {
"title": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"duration_minutes": 123,
"notes": "<string>",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
scheduled_at: '2023-11-07T05:31:56Z',
duration_minutes: 123,
notes: '<string>',
lead_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.cordialy.ai/integrations/v1/appointments/{appointmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"store_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"duration_minutes": 123,
"status": "scheduled",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Agendamentos
Atualizar Agendamento
Atualiza título, data/hora, duração, notas, status ou lead vinculado. Reagendar ou cancelar aqui também sincroniza com o calendário externo conectado, se houver.
PATCH
/
appointments
/
{appointmentId}
Atualizar agendamento
Authorizations
Chave de API gerada na plataforma em Integrações → API Keys
Path Parameters
Body
application/json
Response
Agendamento atualizado
Título/assunto do agendamento
Available options:
scheduled, done, cancelled, no_show ⌘I